| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
uiLegendItem Class Reference
uiIo

A legend, mainly used in maps. More...

`#include <uigraphicslegend.h>`

Inheritance diagram for uiLegendItem:
[legend]

## Public Member Functions
| uiLegendItem ()
| ~uiLegendItem ()
Public Member Functions inherited from uiRectItem
| uiRectItem ()
| uiRectItem (int x, int y, int width, int height)
| uiRectItem (QGraphicsRectItem *)
| ~uiRectItem ()
QGraphicsRectItem * | qRectItem ()
void | setRect (const Geom::RectF &)
void | setRect (const uiRect &)
void | setRect (float x, float y, float width, float height)
void | setRect (int x, int y, int width, int height)
Public Member Functions inherited from uiGraphicsItem
| uiGraphicsItem ()
| ~uiGraphicsItem ()
virtual OD::ButtonState | acceptedMouseButtonsEnabled () const
void | addChild (uiGraphicsItem *, bool checkifnew=true)
void | addChildSet (uiGraphicsItemSet &)
virtual uiRect | boundingRect () const
virtual uiGraphicsItem * | findItem (QGraphicsItem *)
uiGraphicsItem * | getChild (int)
Geom::Point2D< float > | getPos () const
float | getRotation ()
void | getScale (float &sx, float &sy)
float | getTransparency () const
int | getZValue () const
void | hide ()
int | id () const
virtual bool | isFiltersChildEventsEnabled () const
virtual bool | isHoverEventsAccepted () const
bool | isItemIgnoresTransformationsEnabled () const
virtual bool | isMovable () const
bool | isPresent (const uiGraphicsItem &) const
virtual bool | isSelectable () const
virtual bool | isSelected () const
virtual bool | isVisible () const
void | moveBy (float x, float y)
int | nrChildren () const
QGraphicsItem * | qGraphicsItem ()
const QGraphicsItem * | qGraphicsItem () const
void | removeAll (bool withdelete)
void | removeChild (uiGraphicsItem *, bool withdelete)
void | removeChildSet (uiGraphicsItemSet &)
void | rotate (float angle)
void | scale (float sx, float sy)
virtual void | setAcceptedMouseButtons (OD::ButtonState)
virtual void | setAcceptHoverEvents (bool)
void | setCursor (const MouseCursor &)
virtual void | setFillColor (const OD::Color &, bool usetransp=false)
virtual void | setFillPattern (const FillPattern &)
virtual void | setFiltersChildEvents (bool)
virtual void | setGradientFill (int x1, int y1, int x2, int y2, const TypeSet< float > &stops, const TypeSet< OD::Color > &colors)
void | setItemIgnoresTransformations (bool)
virtual void | setMovable (bool)
virtual void | setPenColor (const OD::Color &, bool usetransp=false)
virtual void | setPenStyle (const OD::LineStyle &, bool usetransp=false)
void | setPos (const Geom::Point2D< float > &)
void | setPos (const uiPoint &p)
void | setPos (const uiWorldPoint &)
void | setPos (float x, float y)
void | setRotation (float angle)
void | setScale (float sx, float sy)
virtual void | setScene (uiGraphicsScene *)
virtual void | setSelectable (bool)
virtual void | setSelected (bool)
void | setToolTip (const uiString &)
virtual void | setTransparency (float)
virtual void | setVisible (bool)
void | setZValue (int)
void | show ()
uiPoint | transformToScenePos (const uiPoint &itmpos) const
virtual void | translateText ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
uiAdvancedTextItem * | block_
uiAdvancedTextItem * | contourinc_
uiAdvancedTextItem * | country_
uiAdvancedTextItem * | date_
uiAdvancedTextItem * | horizonname_
uiAdvancedTextItem * | license_
uiAdvancedTextItem * | mapscale_
uiAdvancedTextItem * | modelname_
uiAdvancedTextItem * | sign_
uiAdvancedTextItem * | title_
uiAdvancedTextItem * | username_
Public Attributes inherited from uiGraphicsItem
CNotifier< uiGraphicsItem, const MouseEvent & > | leftClicked
CNotifier< uiGraphicsItem, const MouseEvent & > | rightClicked

## Protected Member Functions
void | buildLayout ()
void | init ()
void | setProperties ()
Protected Member Functions inherited from uiRectItem
QGraphicsItem * | mkQtObj () override
Protected Member Functions inherited from uiGraphicsItem
| uiGraphicsItem (QGraphicsItem *)
virtual void | stPos (float, float)

## Protected Attributes
FontData & | headerfont_
FontData & | infofont_
Protected Attributes inherited from uiRectItem
QGraphicsRectItem * | qrectitem_
Protected Attributes inherited from uiGraphicsItem
ObjectSet< uiGraphicsItem > | children_
uiGraphicsItem * | parent_
QGraphicsItem * | qgraphicsitem_
uiGraphicsScene * | scene_
bool | selected_

## Private Member Functions
const uiString | sBlock ()
const uiString | sContourInc ()
const uiString | sCountry ()
const uiString | sDate ()
const uiString | sHorNm ()
const uiString | sLicense ()
const uiString | sMap ()
const uiString | sModelNm ()
const uiString | sScale ()
const uiString | sSignature ()
const uiString | sUserNm ()

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

A legend, mainly used in maps.

<>

## Constructor & Destructor Documentation

## ◆ uiLegendItem()

uiLegendItem::uiLegendItem | ( |  | ) |

## ◆ ~uiLegendItem()

uiLegendItem::~uiLegendItem | ( |  | ) |

## Member Function Documentation

## ◆ buildLayout()

void uiLegendItem::buildLayout | ( |  | ) |
| protected

## ◆ init()

void uiLegendItem::init | ( |  | ) |
| protected

## ◆ sBlock()

const uiString uiLegendItem::sBlock | ( |  | ) |
| inline private

## ◆ sContourInc()

const uiString uiLegendItem::sContourInc | ( |  | ) |
| inline private

## ◆ sCountry()

const uiString uiLegendItem::sCountry | ( |  | ) |
| inline private

## ◆ sDate()

const uiString uiLegendItem::sDate | ( |  | ) |
| inline private

## ◆ setProperties()

void uiLegendItem::setProperties | ( |  | ) |
| protected

## ◆ sHorNm()

const uiString uiLegendItem::sHorNm | ( |  | ) |
| inline private

## ◆ sLicense()

const uiString uiLegendItem::sLicense | ( |  | ) |
| inline private

## ◆ sMap()

const uiString uiLegendItem::sMap | ( |  | ) |
| inline private

## ◆ sModelNm()

const uiString uiLegendItem::sModelNm | ( |  | ) |
| inline private

## ◆ sScale()

const uiString uiLegendItem::sScale | ( |  | ) |
| inline private

## ◆ sSignature()

const uiString uiLegendItem::sSignature | ( |  | ) |
| inline private

## ◆ sUserNm()

const uiString uiLegendItem::sUserNm | ( |  | ) |
| inline private

## Member Data Documentation

## ◆ block_

uiAdvancedTextItem* uiLegendItem::block_

## ◆ contourinc_

uiAdvancedTextItem* uiLegendItem::contourinc_

## ◆ country_

uiAdvancedTextItem* uiLegendItem::country_

## ◆ date_

uiAdvancedTextItem* uiLegendItem::date_

## ◆ headerfont_

FontData& uiLegendItem::headerfont_
| protected

## ◆ horizonname_

uiAdvancedTextItem* uiLegendItem::horizonname_

## ◆ infofont_

FontData& uiLegendItem::infofont_
| protected

## ◆ license_

uiAdvancedTextItem* uiLegendItem::license_

## ◆ mapscale_

uiAdvancedTextItem* uiLegendItem::mapscale_

## ◆ modelname_

uiAdvancedTextItem* uiLegendItem::modelname_

## ◆ sign_

uiAdvancedTextItem* uiLegendItem::sign_

## ◆ title_

uiAdvancedTextItem* uiLegendItem::title_

## ◆ username_

uiAdvancedTextItem* uiLegendItem::username_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025